Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class WindowFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RootPaneContainerFactory
              groovy.swing.factory.WindowFactory

    class WindowFactory
    extends RootPaneContainerFactory

Field Summary

Fields inherited from class RootPaneContainerFactory
DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON, DELEGATE_PROPERTY_DEFAULT_BUTTON

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class RootPaneContainerFactory
handleRootPaneTasks, onNodeCompleted, setChild

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.